/**
 * Copyright (c) 2019 Gian MR
 * Gian MR Theme Custom Javascript
 *
 * @package Superfast
 */

var $ = jQuery.noConflict();

(function( $ ) {
	/* http://www.w3schools.com/js/js_strict.asp */
	"use strict";

	$( document ).ready(
		function () {
			/* JS SEARCH EFFECT */
			$( '.gmr-search input' ).hide();
			$( '.gmr-search .search-trigger' ).click(
				function(e){
					e.preventDefault();
					$( '.gmr-search input' ).slideToggle( 'fast' ).focus();
					$( '.gmr-search .search-trigger' ).toggleClass( 'active' );
				}
			);

			/* Sidr Resposive Menu */
			$( '#gmr-responsive-menu' ).sidr(
				{
					name: 'topnavmenus',
					source: '.gmr-logomobile, .close-topnavmenu-wrap, .gmr-mainmenu, .gmr-secondmenu',
					displace: false,
				}
			);
			$( '#sidr-id-close-topnavmenu-button' ).click(
				function(e){
					e.preventDefault();
					$.sidr( 'close', 'topnavmenus' );
				}
			);
			$( '.sidr-inner li' ).each(
				function(index) {
					var item = $( this );
					if (item.find( 'ul' ).length > 0) {
						// Has submenus.
						item.find( 'a' ).first().append( '<span class="sub-toggle"><span class="arrow_carrot-down"></span></span>' );
					}
				}
			);
			$( '.sidr-inner .sub-toggle' ).click(
				function(e) {
					e.preventDefault();
					var item = $( this ),
					txt;
					item.toggleClass( 'is-open' );
					txt = item.hasClass( 'is-open' ) ? '<span class="arrow_carrot-up"></span>' : '<span class="arrow_carrot-down"></span>';
					item.html( txt );
					$( this ).closest( 'li' ).find( 'a' ).first().next().slideToggle();
				}
			);
		}
	); /* End document Ready */

	/* Accessibility Drop Down Menu */
	jQuery(
		function($) {
			$( '.menu-item-has-children a' ).focus(
				function () {
					$( this ).siblings( '.sub-menu' ).addClass( 'focused' );
				}
			).blur(
				function(){
					$( this ).siblings( '.sub-menu' ).removeClass( 'focused' );
				}
			);
			// Sub Menu.
			$( '.sub-menu a' ).focus(
				function () {
					$( this ).parents( '.sub-menu' ).addClass( 'focused' );
				}
			).blur(
				function(){
					$( this ).parents( '.sub-menu' ).removeClass( 'focused' );
				}
			);
		}
	); /* End jQuery(function($) { */

	/* Sticky Menu */
	jQuery(
		function($) {
			$( window ).scroll(
				function() {
					if ( $( this ).scrollTop() > 85 ) {
						$( '.top-header' ).addClass( 'sticky-menu' );
					} else {
						$( '.top-header' ).removeClass( 'sticky-menu' );
					}
				}
			);
		}
	); /* End jQuery(function($) { */
})( jQuery );

/**
 * File skip-link-focus-fix.js.
 *
 * Helps with accessibility for keyboard only users.
 *
 * Learn more: https://git.io/vWdr2
 */
(function() {
	var isIe = /(trident|msie)/i.test( navigator.userAgent );

	if ( isIe && document.getElementById && window.addEventListener ) {
		window.addEventListener(
			'hashchange',
			function() {
				var id = location.hash.substring( 1 ),
					element;

				if ( ! ( /^[A-z0-9_-]+$/.test( id ) ) ) {
					return;
				}

				element = document.getElementById( id );

				if ( element ) {
					if ( ! ( /^(?:a|select|input|button|textarea)$/i.test( element.tagName ) ) ) {
						element.tabIndex = -1;
					}

					element.focus();
				}
			},
			false
		);
	}
})();
